Endpoint references for fetching and transforming images.
Fetches an image by id, performs the given transformations, then returns the file data
1https://api.fileboy.io/images/get/:id/:filename
URL Params
id
The id of the file to fetch
filename optional
Specify the name of the file, overriding the saved value. This may still have an extension appended to it.
Query Params
transform optional
Transformations to apply to the image. For a list of transformation options see the transformation section of the docs.
Example
1 2 3curl -X GET \ 'https://api.fileboy.io/images/9d44134a-0fac-4c6f-86bc-18780e8e0a45?transform=resize:200x200;format:jpeg;blur:5' \ --output ./logo.png
1// File data